> ## Documentation Index
> Fetch the complete documentation index at: https://doc.waytoapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Result

> get task status, you can get the task status by taskCode



## OpenAPI

````yaml GET /suno/result
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.waytoapi.com/apidoc/collect/ai
    description: Generated server url
security:
  - ApiKeyAuth: []
paths:
  /suno/result:
    get:
      tags:
        - mountsea-controller
      operationId: sunoResult
      parameters:
        - name: aiKey
          in: header
          required: true
          schema:
            type: string
        - name: code
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CallResultSunoMusicResultRes'
components:
  schemas:
    CallResultSunoMusicResultRes:
      type: object
      properties:
        code:
          type: integer
          format: int32
        info:
          type: string
        result:
          $ref: '#/components/schemas/SunoMusicResultRes'
        success:
          type: boolean
        failure:
          type: boolean
    SunoMusicResultRes:
      type: object
      properties:
        taskId:
          type: string
        status:
          type: integer
          format: int32
        message:
          type: string
        musicUrl:
          type: string
        addTime:
          type: string
        endTime:
          type: string

````